%{?nodejs_find_provides_and_requires}

%global packagename concat-map
%global enable_tests 0

Name:		nodejs-concat-map
Version:	0.0.1
Release:	%mkrel 1
Summary:	Concatenative mapdashery

License:	MIT
URL:		https://github.com/substack/node-concat-map.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Group:          Development/Other
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Concatenative mapdashery


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}





%changelog
* Fri May 13 2016 joequant <joequant> 0.0.1-1.mga6
+ Revision: 1014497
- imported package nodejs-concat-map

